Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class ContextResourceEnvRef

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextResourceEnvRef

All Implemented Interfaces:
  Serializable, Injectable

    public class ContextResourceEnvRef

extends ResourceBase

Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.

Version:
  $Id: ContextResourceEnvRef.java 1226539 2012-01-02 20:18:01Z markt $
Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextResourceEnvRef()`

Method Summary
`boolean` `equals(Object obj)`
`boolean` `getOverride()`
`int` `hashCode()`
`void` `setOverride(boolean override)`
`String` `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextResourceEnvRef

    public ContextResourceEnvRef()

Method Detail

### getOverride

    public boolean getOverride()

### setOverride

    public void setOverride(boolean override)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ResourceBase`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ResourceBase`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.